Search Products
curl --request POST \
--url https://api.example.com/api/v1/shopping/sessions/{session_id}/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"max_results": 10,
"price_min_cents": 1,
"price_max_cents": 1
}
'import requests
url = "https://api.example.com/api/v1/shopping/sessions/{session_id}/search"
payload = {
"query": "<string>",
"max_results": 10,
"price_min_cents": 1,
"price_max_cents": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', max_results: 10, price_min_cents: 1, price_max_cents: 1})
};
fetch('https://api.example.com/api/v1/shopping/sessions/{session_id}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": "<string>",
"results": [
{
"title": "<string>",
"product_url": "<string>",
"price_cents": 123,
"currency": "USD",
"image_url": "<string>",
"affiliate_url": "<string>",
"merchant_domain": "<string>",
"merchant_type": "affiliate",
"rating": 123,
"source": "brave_search"
}
],
"total_count": 123,
"source": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Shopping
Search Products
Search for products within a shopping session.
POST
/
api
/
v1
/
shopping
/
sessions
/
{session_id}
/
search
Search Products
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Was this page helpful?
⌘I